import { Component, OnInit, ViewChild, ViewEncapsulation } from '@angular/core';
import { employeesData } from './localData';
import { IgxColumnComponent, IgxExcelExporterOptions, IgxExcelExporterService, IgxGridComponent } from 'igniteui-angular';

@Component({
  selector: 'app-grid',
  templateUrl: './grid.component.html',
  styleUrls: ['./grid.component.scss']
})
export class GridComponent implements OnInit {

  @ViewChild("grid1", { static: true }) public igxGrid1: IgxGridComponent;

  public localData: any[];
  title = 'Grid';
  constructor(private excelExportService: IgxExcelExporterService) {
  }

  ngOnInit() {
    this.localData = employeesData;
  }

  public onColumnInit(column: IgxColumnComponent) {
    if (column.field === 'RegistererDate') {
      column.formatter = (date => date.toLocaleDateString());
    }
  }

  public exportButtonHandler() {

    let exportOptions = new IgxExcelExporterOptions("ExportFileFromGrid");
    exportOptions.worksheetName = "SampleSheet1";
    this.excelExportService.export(this.igxGrid1, exportOptions);
  }

}
